0

I am following this tutorial https://www.trufflesuite.com/tutorials/getting-started-with-drizzle-and-react. Everything is working smoothly until I have to npm install drizzle. I then run into the problem where it shows "fetchMetadata: sill resolveWithNewModule http-https@1.0" forever and just pauses.

Also the versions(if they help at all):

Truffle v5.0.21 (core: 5.0.21)

Solidity v0.5.0 (solc-js)

Node v10.16.0

Web3.js v1.0.0-beta.37

  • According to the tutorial there's no need to install web3.js as it comes with Drizzle, which is pinned to Web3.js v1.0.0-beta.35. How did you come to use Web3 v1.0.0-beta.37? – amal Jun 11 at 22:16
  • This query may address your fetch metadata issue – amal Jun 11 at 23:00
  • @amal I did the standard npm truffle install which gave me web3 beta 37. And for the link you sent, it didn't work. Im running into the same problem in another project im working on too. Drizzle installed for one of the projects, but now drizzle-react installation is the same issue – Denny Liang Jun 12 at 18:09

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.